Skip to main content
GET
/
evidences
/
{COMPANY_ID}
/
evidence
/
{EVIDENCE_EXTERNAL_ID}
/
files
List files for a evidence
curl --request GET \
  --url https://api.timelockdata.com/api/v1/evidences/{COMPANY_ID}/evidence/{EVIDENCE_EXTERNAL_ID}/files \
  --header 'X-API-Key: <api-key>'
{
  "dt": [
    {
      "name": "<string>",
      "overlayId": "<string>",
      "mimeType": "<string>",
      "title": "<string>",
      "iconId": "<string>",
      "eventId": 123
    }
  ],
  "category": [
    {
      "name": "<string>",
      "overlayId": "<string>",
      "mimeType": "<string>",
      "title": "<string>",
      "iconId": "<string>",
      "eventId": 123
    }
  ],
  "subcategory": [
    {
      "name": "<string>",
      "overlayId": "<string>",
      "mimeType": "<string>",
      "title": "<string>",
      "iconId": "<string>",
      "eventId": 123
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

COMPANY_ID
string
required

Company identifier

EVIDENCE_EXTERNAL_ID
string
required

Evidence external identifier

Response

200 - application/json

List of files

dt
object[]

Files associated with the evidence

category
object[]

Files associated with the category

subcategory
object[]

Files associated with the subcategory